TagLibraryValidator (Servlet and JavaServer Pages API Documentation)
Keywords: javax.servlet.jsp.tagext.TagLibraryValidator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagLibraryValidator

    java.lang.Object
      javax.servlet.jsp.tagext.TagLibraryValidator

public abstract class TagLibraryValidator
extends java.lang.Object

Translation-time validator class for a JSP page. A validator operates on the XML document associated with the JSP page.

The TLD file associates a TagLibraryValidator class and some init arguments with a tag library.

The JSP container is reponsible for locating an appropriate instance of the appropriate subclass by

- new a fresh instance, or reuse an available one
- invoke the setInitParams(Map) method on the instance

once initialized, the validate(String, String, PageData) method will be invoked, where the first two arguments are the prefix and uri arguments used in the taglib directive.

A TagLibraryValidator instance may create auxiliary objects internally to perform the validation (e.g. an XSchema validator) and may reuse it for all the pages in a given translation run.

The JSP container is not guaranteed to serialize invocations of validate() method, and TagLibraryValidators should perform any synchronization they may require.

A JSP container may optionally support a jsp:id attribute to provide higher quality validation errors. When supported, the container will track the JSP pages as passed to the container, and will assign to each element a unique "id", which is passed as the value of the jsp:id attribute. Each XML element in the XML view available will be extended with this attribute. The TagLibraryValidator can then use the attribute in one or more ValidationMessage objects. The container then, in turn, can use these values to provide more precise information on the location of an error.

Constructor Summary
`TagLibraryValidator()`

Method Summary
`java.util.Map` | `getInitParameters()` Get the init parameters data as an immutable Map.
`void` | `release()` Release any data kept by this instance for validation purposes
`void` | `setInitParameters(java.util.Map map)` Set the init data in the TLD for this validator.
`ValidationMessage[]` | `validate(java.lang.String prefix, java.lang.String uri, PageData page)` Validate a JSP page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagLibraryValidator

    public TagLibraryValidator()

Method Detail

### setInitParameters

    public void setInitParameters(java.util.Map map)

  Set the init data in the TLD for this validator. Parameter names are keys, and parameter values are the values.

### getInitParameters

    public java.util.Map getInitParameters()

  Get the init parameters data as an immutable Map. Parameter names are keys, and parameter values are the values.

  Returns:
    The init parameters as an immutable map.

### validate

    public ValidationMessage[] validate(java.lang.String prefix,
                                        java.lang.String uri,
                                        PageData page)

  Validate a JSP page. This will get invoked once per directive in the JSP page. This method will return null if the page is valid; otherwise the method should return an array of ValidationMessage objects. An array of length zero is also interpreted as no errors.

  Parameters:
    `prefix` - the value of the prefix argument in the directive
    `uri` - the value of the uri argument in the directive
  Returns:
    A null object, or zero length array if no errors, an array of ValidationMessages otherwise.

### release

    public void release()

  Release any data kept by this instance for validation purposes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.